package HeroList;

import java.io.OutputStream;
import java.io.PrintStream;

import fi.jyu.mit.ohj2.Mjonot;

/**
 * @author jessehonkalinna
 * @version Mar 12, 2025
 *
 */
public class NameToAbility {
    private int hId; //HeroID
    private int aId; //AbilityID
    private int level = 0;
    
    
    /**
     * @return HeroID
     */
    public int getHId() {
        return hId;
    }
    
    /**
     * @return AbilityID
     */
    public int getAId() {
        return aId;
    }
    

    //public void vastaaAkuAnkka(String apuhetu) {
    //    nimi = "Ankka Aku " + rand(1000, 9999);
    //    hetu = apuhetu;
    //    katuosoite = "Paratiisitie 13";
    //    postinumero = "12345";
    //    postiosoite = "ANKKALINNA";
    //    kotipuhelin = "12-1234";
    //    tyopuhelin = "";
    //    autopuhelin = "";
    //    liittymisvuosi = 1996;
    //    jmaksu = 50.00;
    //    maksu = 30.00;
    //    lisatietoja = "Velkaa Roopelle";
    //}

    
    @Override
    public String toString() {
        return "" +
                getHId() + "|" +
                getAId() + "|" +
                level;
      }

    
    @SuppressWarnings("unused")
    private int getLevel() {
        return level;
    }
    
    /**
     * @param rivi annetaan ja parsetaan
     */
    public void parse(String rivi) {
        StringBuffer sb = new StringBuffer(rivi);
        hId = Mjonot.erota(sb, '|', getHId());
        aId = Mjonot.erota(sb, '|', getAId());
        level = Mjonot.erota(sb, '|', level);

    }


    /**
     * @param out tulostus
     */
    public void print(PrintStream out){
        out.println(hId + "\n" + aId + "\n" + level);
    }
    
    /**
     * @param os tulostus
     */
    public void print(OutputStream os) {
        print(new PrintStream(os));
    }
    
    
}
